%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global srcname fmt

Name:           ocaml-%{srcname}
Version:        0.10.0
Release:        %mkrel 1
Summary:        OCaml Format pretty-printer combinators
Group:          Development/OCaml

License:        ISC
URL:            https://erratique.ch/software/fmt
Source0:        https://github.com/dbuenzli/fmt/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.08.0
BuildRequires:  ocaml-cmdliner-devel >= 0.9.8
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-rpm-macros
BuildRequires:  ocaml-topkg-devel >= 1.0.3

# Do not require ocaml-compiler-libs at runtime
%global __ocaml_requires_opts -i Asttypes -i Build_path_prefix_map -i Cmi_format -i Env -i Format_doc -i Ident -i Identifiable -i Load_path -i Location -i Longident -i Misc -i Oprint -i Outcometree -i Parsetree -i Path -i Primitive -i Shape -i Subst -i Toploop -i Type_immediacy -i Types -i Unit_info -i Warnings

%description
Fmt exposes combinators to devise `Format` pretty-printing functions.

Fmt depends only on the OCaml standard library.  The optional Fmt_tty
library that enables setting up formatters for terminal color output
depends on the Unix library.  The optional Fmt_cli library that provides
command line support for Fmt depends on Cmdliner.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-cmdliner-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -n %{srcname}-%{version} -p1

# link with the math library
sed -i 's/safe_string/&, cclib(-lm)/' _tags

%build
# Build the library and the tests
ocaml pkg/pkg.ml build \
  --dev-pkg false \
  --tests true \
  --with-base-unix true \
  --with-cmdliner true

# Build the documentation
mkdir html
ocamldoc -html -d html -I +cmdliner -I _build/src _build/src/*.mli

%install
%ocaml_install

%check
ocaml pkg/pkg.ml test

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel
%doc html/*



%changelog
* Fri Apr 04 2025 pterjan <pterjan> 0.10.0-1.mga10
+ Revision: 2173494
- Update to 0.10.0

* Sat Oct 08 2022 pterjan <pterjan> 0.9.0-1.mga9
+ Revision: 1895581
- Disable broken test
- Update to 0.9.0

* Thu May 19 2022 pterjan <pterjan> 0.8.10-2.mga9
+ Revision: 1859173
- Rebuild for OCaml 4.14

* Wed Oct 13 2021 tv <tv> 0.8.10-1.mga9
+ Revision: 1751062
- Version 0.8.10
- Drop upstreamed -stdlib-shims patch
- OCaml 4.13.1 build

* Fri Mar 05 2021 tv <tv> 0.8.9-1.mga9
+ Revision: 1699888
- 0.8.9

* Sun Jan 10 2021 pterjan <pterjan> 0.8.8-0.4.mga8
+ Revision: 1670664
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.8.8-0.3.mga8
+ Revision: 1551656
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.8.8-0.2.mga8
+ Revision: 1545754
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.8.8-0.1.mga8
+ Revision: 1485158
- imported package ocaml-fmt

